<?php
$solicita=$_POST['solicita'];
include ("conexion.php");
$cons4="SELECT max(idRequisicion)as maximo FROM requisiciones";
$res4=mysql_query($cons4,$conex) or die ("No se obtuvo el máximo de requisiciones");
$reqmax=mysql_result($res4,0,'maximo');
$folio= $reqmax + 1;
$fecha=date("Y-m-d");

//INSERCION DE LA REQUISICION EN LA BASE DE DATOS
$cons3="INSERT INTO requisiciones (solicita,fecha) VALUES ('$solicita','$fecha')";
$res3=mysql_query($cons3,$conex) or die ("No se realizó la insercion en requisiciones");

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title>UCA :.</title>
<link href="ucaestilos.css" rel="stylesheet" type="text/css" />
<style type="text/css">
<!--
body {
	background-color: #CCCCCC;
}
-->
</style></head>

<body>
<table width="800" border="0" align="center" cellpadding="0" cellspacing="0" bgcolor="#FFFFFF">
  <tr>
    <td><img src="img/top02.jpg" width="800" height="100" /></td>
  </tr>
  <tr>
    <td><br />
    <table width="750" border="0" align="center">
        <tr>
          <td><table width="82%" border="0" align="center" cellspacing="0">
            <tr>
              <td width="32%"><hr /></td>
              <td width="36%" align="center"><span class="style7">Requisici&oacute;n de Compra</span></td>
              <td width="32%"><hr /></td>
            </tr>
          </table>
            <br />
            <table width="90%" border="1" align="center" cellspacing="2">
              <tr>
                <td width="51%"><span class="style4">Solicita:</span><span class="style5"> <?php echo $solicita;?></span></td>
                <td width="28%"><span class="style4">Fecha:</span> <span class="style5"><?php echo $fecha;?></span></td>
                <td width="21%"><span class="style4">Folio:</span> <span class="style3"><?php echo $folio;?></span></td>
              </tr>
            </table>
            <p align="center" class="style7">
              <?php

$claves=$_POST['idprod'];
$cantidad=$_POST['cantidad'];

echo "<table border=1>";
echo "<tr bgcolor='#0D3356' class='titulo' align='center'>";

echo "<td class='style4'>";
echo " Id ";
echo "</td>";


echo "<td class='style4'>";
echo "Nombre";
echo "</td>";

echo "<td class='style4'>";
echo "Descripci&oacute;n";
echo "</td>";


echo "<td class='style4'>";
echo "Presentaci&oacute;n";
echo "</td>";

echo "<td class='style4'>";
echo "Cantidad";
echo "</td>";


echo "</tr>";
for($x=0; $x < sizeof($claves); $x++)
{

include ("conexion.php");

			$query="SELECT clave,nombre,descripcion FROM productos Where clave='$claves[$x]'";
			$result=mysql_query($query,$conex) or die ("No se consultaron los productos");
			$numero_filas=mysql_num_rows($result);
			$numero_campos= mysql_num_fields($result);
			while($fila = mysql_fetch_array($result))
			{

         
echo "<tr align='center'>";

//CONSULTO NOMBRE DE LA PRESENTACION
$cons1="SELECT idPresentacion FROM  productos WHERE clave='".$fila[0]."'";
$res1=mysql_query($cons1,$conex) or die ("No consulto ID de presentacion");
$idpresen=mysql_result($res1,0,'idPresentacion');

$cons2="SELECT presentacion FROM presentaciones WHERE idPresentacion='$idpresen'";
$res2=mysql_query($cons2,$conex) or die ("No consulto nombre de presentacion");
$presen=mysql_result($res2,0,'presentacion');



/*
//IMPRIMO CHECKBOX
echo "<td class='style1'>";
echo "<input name='clave[]' type='checkbox' value='".$fila[0]."' >";
echo "</td>";
*/

//FOR DE LOS CAMPOS BUSCADOS
 for ($i=0;$i< $numero_campos;$i++)
 {

echo "<td class='style1'>";
echo $fila[$i];
echo "</td>";

}


//IMPRIMO PRESENTACION
echo "<td class='style1'>";
echo $presen;
echo "</td>";

//CANTIDAD
echo "<td class='titulo' bgcolor='#999999'>";
echo $cantidad[$x];
echo "</td>";

}
//INSERCION DEL CONTENIDO DE LA REQUISICION EN LA BASE DE DATOS
$cons3="INSERT INTO contenido_requisicion (idRequisicion,clave,cantidad) VALUES ('$folio','$claves[$x]','$cantidad[$x]')";
$res3=mysql_query($cons3,$conex) or die ("No se realizó la insercion en requisiciones");


echo "</tr>";
}


echo "</table>";

/*
foreach($_POST['clave'] as $clave)
{
 echo $clave;
}
*/

?>
            </p>
            <table width="82%" height="87" border="1" align="center" cellspacing="2">
              <tr>
                <td width="50%" align="center" valign="top"><span class="style4">AUTORIZA</span></td>
                <td width="50%" align="center" valign="top"><span class="style4">Vo.Bo.</span></td>
              </tr>
            </table>            <p align="center" class="style7">&nbsp;</p></td>
        </tr>
      </table>
      <table width="177" border="0" align="center" cellspacing="10">
        <tr>
          <td width="57" valign="top">
              <div align="center">
                <p>
                  <input name="Submit" type="button" class="boton2" value="Imprimir" onClick="javascript:print()">
                </p>
              </div>
          </td>
          <td width="109"><form id="form1" name="form1" method="post" action="main.php">
              <div align="center">
                <p>
                  <input name="Submit2" type="submit" class="boton2" value="Volver a inicio" />
                </p>
              </div>
          </form></td>
        </tr>
      </table>
      <p>&nbsp;</p>
      <table width="100%" border="0">
          <tr>
        <td height="26" style="background-color:#0D3356;">
        <div align="center" id="noimprimible">
          <table width="99%" border="0" align="center" cellpadding="2" cellspacing="0">
            <tr>
              <td align="center" class="style8">Desarrollado para la Universidad Cuauht&eacute;moc por <a href="http://www.upweb.mx" target="_blank"><img src="img/webmaster.svg" style="height:16px; vertical-align:bottom;"></a></td>
            </tr>
          </table>
        </div></td>
        </tr>
      </table></td></tr>
</table>
</body>
</html>
